package com.backfire.room.chat;

import net.yeeyo.doudizhu.feiyu.R;

import com.backfire.doudizhu.common.DdzApplication;

public class ExpressionConstants {
	/** 静态表情的网格宽度 */
	public static final int gridWidth = 38;
	public static final int gridHeight = 38;
	public static final int expressionTitleWidth = 94;
	public static final int expressionTitleHeight = 30;

	/** 常用语资源 */
	public static final String[] commonLanguages = {
			ExpressionConstants.getStringFromId(R.string.common_language_1),
			ExpressionConstants.getStringFromId(R.string.common_language_2),
			ExpressionConstants.getStringFromId(R.string.common_language_3),
			ExpressionConstants.getStringFromId(R.string.common_language_4),
			ExpressionConstants.getStringFromId(R.string.common_language_5),
			ExpressionConstants.getStringFromId(R.string.common_language_6),
			ExpressionConstants.getStringFromId(R.string.common_language_7),
			ExpressionConstants.getStringFromId(R.string.common_language_8),
			ExpressionConstants.getStringFromId(R.string.common_language_9),
			ExpressionConstants.getStringFromId(R.string.common_language_10),
			ExpressionConstants.getStringFromId(R.string.common_language_11),
			ExpressionConstants.getStringFromId(R.string.common_language_12),
			ExpressionConstants.getStringFromId(R.string.common_language_13),
			ExpressionConstants.getStringFromId(R.string.common_language_14)};
	public static final int[] icons = {
		R.drawable.user_icon_1, R.drawable.user_icon_2,
		R.drawable.user_icon_3, R.drawable.user_icon_4,
		R.drawable.user_icon_5, R.drawable.user_icon_6,
		R.drawable.user_icon_7, R.drawable.user_icon_8,
		R.drawable.user_icon_9, R.drawable.user_icon_10,
		R.drawable.user_icon_11, R.drawable.user_icon_12,
		R.drawable.user_icon_13, R.drawable.user_icon_14,
		R.drawable.user_icon_15, R.drawable.user_icon_16,
		R.drawable.user_icon_17, R.drawable.user_icon_18,
		R.drawable.user_icon_19, R.drawable.user_icon_20,
		R.drawable.user_icon_21};

	/**
	 * 由id取出对应的配置文件中的值
	 * 
	 * @param id
	 * @return
	 */
	public static String getStringFromId(int id) {
		if (DdzApplication.getApplication() != null) {
			return DdzApplication.getApplication().getResources().getString(id);
		} else
			return null;
	}

}
